<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="papel">
      <h2 data-cy="papelDetailsHeading"><span jhiTranslate="matrixApp.papel.detail.title">Papel</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.papel.id">Id</span></dt>
        <dd>
          <span>{{ papel.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.papel.descricao">Descricao</span></dt>
        <dd>
          <span>{{ papel.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.papel.perfil">Perfil</span></dt>
        <dd>
          <div *ngIf="papel.perfil">
            <a [routerLink]="['/perfil', papel.perfil.id, 'view']">{{ papel.perfil.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/papel', papel.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
